/*-
 * ~~~~~~licensing~~~~~~
 * artifact-management
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.platform.core.artifact.repository;

import ru.entaxy.platform.core.artifact.Artifact;
import ru.entaxy.platform.core.artifact.DeployedArtifact;

public interface ArtifactRepository {
	
	public static final String REPO_NAME_LOCAL = "entaxy-local";
	
	public static final String REPO_NAME_SHARED = "entaxy-shared";
	
	public static final String REPO_NAME_UPDATES = "entaxy-updates";
	
	public String getName();
	
	public boolean isHealthy();
	
	public boolean isEnabled();
	
	public boolean isReadOnly();
	
	public boolean isSnapshotsAllowed();
	
	public String getUrl();
	
	public DeployedArtifact deploy(Artifact artifact);
	
}
